Помощь Помогите обновить DLE

Тема в разделе "DLE", создана пользователем Grinder90, 11 июн 2010.

Информация :
Актуальная версия DataLife Engine 11.1
( Final Release v.11.1 | Скачать DataLife Engine | Скачать 11.1 demo )
Нужно ли обновляться | Как обновиться | Изменения в шаблонах
> Нет русских символов <
[Приватная тема DLE (Все подробности в ЛС к модератору раздела)]

Версии 10.0 и ниже - уязвимы!

Локализации | F.A.Q. | Внешний вид
Правила раздела | Правила форума
Обсуждение хайда карается баном!
В каждом сообщении указывайте версию DLE, которого они касаются!
Статус темы:
Закрыта.
Модераторы: killoff
  1. Grinder90

    Grinder90 Постоялец

    Регистр.:
    27 ноя 2009
    Сообщения:
    60
    Симпатии:
    3
    Собственно ситуация следующая. Есть сайт на DLE 5.3 Nulled by Mega New Art. Сайт белый, с не плохими показателями, планируется дальнейшее его развитие. Хотелось бы обновится до более актуальной версии или вообще перейти с нулла на лицуху, потому как кроме всего прочего, в данной версии нет многих возможностей (конкретно сейчас мне не хватает мета-описаний для категорий и макроса {full-link}).
    Но дело в том что я имею дело с DLE впервые. Скопировал сайт к себе на денвер, нашел другой нулл v.7.5 Nulled by M.I.D-Team, и начал пробовать обновляться. После самых первых обновлений (действовал по оф. документации) перестали выводится новости и колонка, я так понимаю нужно менять сам шаблон ещё, так как макросы поменялись...(предположение)
    При входе в админку появились такие ошибки:

    Warning: require_once(Z:\home\sd\www/language//adminpanel.lng:( failed to open stream: No such file or directory in Z:\home\sd\www\engine\inc\init.php on line 23 Fatal error: require_once(:( Failed opening required 'Z:\home\sd\www/language//adminpanel.lng' (include_path='.;/usr/local/php5/PEAR') in Z:\home\sd\www\engine\inc\init.php on line 23

    Я посмотрел файла Z:\home\sd\www\engine\inc\init.php впринципе не существует.

    В общем возникает вопрос как провести обновление. Возможно ли обновится с одного нула на другой? В принципе можно и лицензию купить, как тогда быть с обновлением? Я не исключаю что движок который есть на данный момент кроме того что это нулл ещё и переделывали. В общем задача стоит остро - обновится надо а нихрена не получается rolleyes.gif Отпишитесь те кто в теме плз.
     
  2. kuguk

    kuguk

    Регистр.:
    5 мар 2009
    Сообщения:
    182
    Симпатии:
    19
    Можно обновиться и с нулла на нулл, и с нулла на лицуху.
    Попробуй так: установи на денвере DLE 5.3 Nulled, восстанови базу из дампа, с помощью Total Commander, обнови все файлы до 8.5 и далее обновляйся по инструкции.
     
    afonya_xxx нравится это.
  3. yavasilek

    yavasilek vasilek_gorbunok

    Регистр.:
    5 окт 2008
    Сообщения:
    1.175
    Симпатии:
    423
    в общем файл должен быть. ты все папки скопировал к себе на сервак?
    engine
    language
    templates
    uploads

    ну и файлы соответственно.
    файл то есть в архиве движка!
     
    Grinder90 нравится это.
  4. Grinder90

    Grinder90 Постоялец

    Регистр.:
    27 ноя 2009
    Сообщения:
    60
    Симпатии:
    3
    Да действительно, не всё сначало скопировалаось. повторил операцию. теперь всё лучше, в админку зайти могу, но некоторые макросы на сайте не отображаются. В мануале написано "Внесите необходимые изменения в ваши шаблоны, согласно списку изменений, опубликованному на сайте вместе со ссылкой на дистрибутив." Я так понимаю в том причина. Но как мне эти модули теперь подключить?
     
  5. yavasilek

    yavasilek vasilek_gorbunok

    Регистр.:
    5 окт 2008
    Сообщения:
    1.175
    Симпатии:
    423
    модули все надо ставить заново
     
Статус темы:
Закрыта.